<form action="/settings/hide_currencies/" method="POST">
  <input type="hidden" name="csrfmiddlewaretoken" value="{{ csrf }}">
  <table class="table table-condensed home-table currencies-table" style="width:auto">
    <colgroup></colgroup>
    {{#each groups}}
      <colgroup span="{{ [1] }}"></colgroup>
    {{/each}}
    <thead>
      <tr>
        <th>
            <label><input id="currencies-show-hide" type="checkbox"> Hide!</label>
        </th>
        {{#each groups}}
          <th colspan="{{ [1] }}">{{ [0] }}</th>
        {{/each}}
      </tr>
    </thead>
    <tbody>
      <tr id="currencies-hide-row" style="display: none;">
        <td><button type="submit" class="btn btn-danger">Save</button></td>
        {{#each currencies}}
          {{ currenciesCurrency }}
        {{/each}}
      </tr>
      {{#each realms}}
        <tr class="realm-row">
          <td colspan="{{ ../realm_colspan }}">{{ name }}</td>
        </tr>
        {{#each characters}}
          {{#unless hidden}}
            <tr class="faction-{{ side }}">
              {{ characterName }}
              {{ currenciesCurrencies ../../../currencies }}
            </tr>
          {{/unless}}
        {{/each}}
      {{else}}
        <tr>
          <td colspan="{{ realm_colspan }}">You don't appear to have any characters to show!</td>
        </tr>
      {{/each}}
    </tbody>
  </table>
</form>
